PersianCharFilterFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.PersianCharFilterFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class PersianCharFilterFactory

    java.lang.Object
      org.apache.solr.analysis.BaseCharFilterFactory
          org.apache.solr.analysis.PersianCharFilterFactory

All Implemented Interfaces:
  CharFilterFactory, MultiTermAwareComponent

    public class PersianCharFilterFactory

extends BaseCharFilterFactory
implements MultiTermAwareComponent

Factory for `PersianCharFilter`.

     <fieldType name="text_fa" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <charFilter class="solr.PersianCharFilterFactory"/>
         <tokenizer class="solr.StandardTokenizerFactory"/>
       </analyzer>
     </fieldType>

Version:
  $Id$

Field Summary

Fields inherited from class org.apache.solr.analysis.BaseCharFilterFactory
`args, log`

Constructor Summary
`PersianCharFilterFactory()`

Method Summary
`CharStream` | `create(CharStream input)`
`Object` | `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.

Methods inherited from class org.apache.solr.analysis.BaseCharFilterFactory
`getArgs, getInt, getInt, getInt, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersianCharFilterFactory

    public PersianCharFilterFactory()

Method Detail

### create

    public CharStream create(CharStream input)

  Specified by:
    `create` in interface `CharFilterFactory`

### getMultiTermComponent

    public Object getMultiTermComponent()

  Description copied from interface: `MultiTermAwareComponent`
  Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.

  Specified by:
    `getMultiTermComponent` in interface `MultiTermAwareComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD